package org.kne.cloud.network;

import java.io.IOException;
import java.net.Socket;
import java.util.function.Consumer;

public class SocketToServiceProxy extends Proxy {
	public SocketToServiceProxy(String l, String r) {
		src=new MultipurposeSocketAddress(l);
		des=getRegister().get(r.substring(1, r.length()-1)) ;
	}
	public MultipurposeSocketAddress getSrc() {
		return src;
	}
	public NetworkService getDes() {
		return des;
	}
	private MultipurposeSocketAddress src;
	private NetworkService des;
	@Override
	public void close() throws IOException {
		// TODO 自动生成的方法存根
		
	}
}
